debian/README

The Debian Package audio-recorder
-------------------------------

Comments regarding the Package
 -- Osmo Antero (moma) <osmoma@gmail.com>  Mon, 04 Aug 2010 21:03:12 +0100

Important files:
****************
audio-recorder*/debian/README - This file.
audio-recorder*/README  - Important information about this program.
audio-recorder*/INSTALL - Building and installing this application from source.

Build environment:
******************
I created the Debian (deb) package by mainly following these guides:
http://www.linux.com/articles/60383
https://help.ubuntu.com/ubuntu/packagingguide/C/basic-scratch.html

You must setup the necessary build-environment as guided.

Package dependencies:
**********************
Runtime requirements (package dependencies) are explained in the README file.
Compilation/build requirements are explained in the INSTALL file.
Read them.

Creating a deb package:
***********************
Read: https://wiki.ubuntu.com/PackagingGuide/Basic
      https://help.launchpad.net/Packaging/PPA/BuildingASourcePackage

You can re-create the debian package by typing:

export DEBFULLNAME="Osmo Antero" <-- Your name and email here.
export DEBEMAIL="osmoma@gmail.com"
cd audio-recorder*
debuild -S -sa

Sometimes debuild fails to find the GPG-key so you have to use the -k option. First list your GPG-keys
gpg --list-secret-keys

/home/moma/.gnupg/pubring.gpg
-----------------------------
pub   2048R/549B8DD1 2010-08-04
uid                  Osmo Antero <osmoma@gmail.com>
sub   2048R/903F7123 2010-08-04

Then use -k option like this:
 
debuild -S -sa -k549B8DD1
Successfully signed dsc and changes files!

# -us -uc turns off GPG signing, but you cannot upload packages to PPA (Launchpad) without signing them. 
# debuild  -us -uc  
#

It will generate and put a new debian package (or .changes file) to audio-recorder's parent directory.

ls -l .. 
-rw-r--r-- 1 moma moma    2342 2011-02-08 14:31 audio-recorder_0.3~maverick_source.build
-rw-r--r-- 1 moma moma    1660 2011-02-08 14:31 audio-recorder_0.3~maverick_source.changes
-rw-r--r-- 1 moma moma 3867510 2011-02-08 14:31 audio-recorder_0.3~maverick.tar.gz
-rw-r--r-- 1 moma moma 3867510 2011-02-08 14:31 audio-recorder_0.3~maverick_amd64.deb

Now install the .deb package by typing (as root or sudo):
dpkg -i audio-recorder-<ver>.deb

It will probably complain about missing dependencies. Run apt-get install -f to fix it (as root or sudo): 
apt-get install -f

Uninstallation is done by (as root or sudo):
apt-get remove audio-recorder

Uploading to the Launhcpad for compilation
******************************************

This command will upload the source (.tar.gz and .changes) to the Launchpad for compilation and packaging:

dput ppa:osmoma/audio-recorder audio-recorder_0.3~maverick_source.changes

...
Checking signature on .changes
gpg: Signature made Tue 08 Feb 2011 02:37:52 PM CET using RSA key ID 549B8DD1
gpg: Good signature from "Osmo Antero <osmoma@gmail.com>"
Good signature on /media/sdb4/Audio-Recorder/audio-recorder_0.3~maverick_source.changes.
Checking signature on .dsc
gpg: Signature made Tue 08 Feb 2011 02:37:48 PM CET using RSA key ID 549B8DD1
gpg: Good signature from "Osmo Antero <osmoma@gmail.com>"
Good signature on /media/sdb4/Audio-Recorder/audio-recorder_0.3~maverick.dsc.
Uploading to ppa (via ftp to ppa.launchpad.net):
  Uploading audio-recorder_0.3~maverick.dsc: done.
  Uploading audio-recorder_0.3~maverick.tar.gz: done.      
  Uploading audio-recorder_0.3~maverick_source.changes: done.
Successfully uploaded packages.

Notes:
******
I have removed these lines from the debian/rules file.
#	dh_installman
Uncomment the dh_installman line when manual pages are ready.
--

